#include "tga_rw.h"


int main(int argc, char **argv)
{
	if(argc==1) {
		printf("usage: tga_opacity_maximizer filename\n");
		exit(-1);
	}

	for(int i=1; i<argc; i++) {
		int name_length;
		char filename[256];
		Byte *pixel;
		TGAHEAD head;

		if (!ReadTGA(argv[i], &pixel, &head) )
			continue;

		for(int j=0; j<head.width*head.height*4; j++) {
			if(j%4==3)
				pixel[j]=255;
		}

		name_length=strlen(argv[i]);
		argv[i][name_length-4]='\0';
		sprintf(filename, "%s_om.tga", argv[i]);

		WriteTGA(filename, pixel, &head);
		printf("written %s\n", filename);
	}

	return 0;
}
